"""empty message

Revision ID: 3edcb2c705fa
Revises: 676949be3cbd
Create Date: 2021-03-26 00:08:22.057254

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3edcb2c705fa'
down_revision = '676949be3cbd'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('content_recommender',
    sa.Column('uuid', postgresql.UUID(), nullable=False),
    sa.Column('record_id', sa.BIGINT(), nullable=True),
    sa.Column('recommended_content_id', sa.TEXT(), nullable=True),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.create_table('smtp_logs',
    sa.Column('uuid', postgresql.UUID(), nullable=False),
    sa.Column('user_id', sa.BIGINT(), nullable=True),
    sa.Column('email', sa.String(length=200), nullable=False),
    sa.Column('rcode', sa.BIGINT(), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=False),
    sa.Column('status', sa.String(length=100), nullable=False),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.drop_table('record_stat_likes')
    op.drop_table('names')
    op.add_column('popularity_recommender', sa.Column('uuid', postgresql.UUID(), nullable=False))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('popularity_recommender', 'uuid')
    op.create_table('names',
    sa.Column('full_name', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('email', sa.TEXT(), autoincrement=False, nullable=True)
    )
    op.create_table('record_stat_likes',
    sa.Column('id', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('record_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('user_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('likes', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('timestamp', postgresql.TIMESTAMP(), autoincrement=False, nullable=True)
    )
    op.drop_table('smtp_logs')
    op.drop_table('content_recommender')
    # ### end Alembic commands ###
